#
# Copyright 2021, Flyreel. All Rights Reserved.
# =============================================#
"""Top-level module imports."""

__version__ = "1.0.0b"

# NOTE: Imports PyTorch Lightning first to mitigate an import error.
import pytorch_lightning as _pl

from .dataloaders import RepeatableDataLoader, _DataLoader as DataLoader
from .datasets import dataset
from .models.backbones.timm import PyTorchImageModel
from .models.backbones.torchvision import TorchVisionBackbone
from .schedulers.lr import PolynomialLR
from .learners import Classifier

import torchvision.transforms as T
import albumentations.augmentations as A
